summaryrefslogtreecommitdiffstats
path: root/libraries/hoel
diff options
context:
space:
mode:
author Yth - Arnaud <yth@ythogtha.org>2018-05-07 20:49:07 +0100
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2018-05-12 06:58:24 +0700
commitce4512d975cc848d28b9203f4f0a4de1cde93079 (patch)
tree7ad09d0a9e333b6287bda038092c12b38202d921 /libraries/hoel
parente122364f9a9c1531aa1c390b8bd1d1a569aa665f (diff)
downloadslackbuilds-ce4512d975cc848d28b9203f4f0a4de1cde93079.tar.gz
slackbuilds-ce4512d975cc848d28b9203f4f0a4de1cde93079.tar.xz
libraries/hoel: Added (Database abstraction library written in C).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'libraries/hoel')
-rw-r--r--libraries/hoel/README7
-rw-r--r--libraries/hoel/hoel.SlackBuild100
-rw-r--r--libraries/hoel/hoel.info10
-rw-r--r--libraries/hoel/slack-desc19
4 files changed, 136 insertions, 0 deletions
diff --git a/libraries/hoel/README b/libraries/hoel/README
new file mode 100644
index 0000000000..c4daf5fb9d
--- /dev/null
+++ b/libraries/hoel/README
@@ -0,0 +1,7 @@
+Hoel - Database abstraction library written in C.
+
+Simple and easy to use database access library. Works with SQLite 3,
+MariaDB/Mysql and PostgreSQL databases. Uses a JSON-based language with
+jansson to execute simples queries based on one table.
+
+postgresql is an optional dependency.
diff --git a/libraries/hoel/hoel.SlackBuild b/libraries/hoel/hoel.SlackBuild
new file mode 100644
index 0000000000..b228ab4342
--- /dev/null
+++ b/libraries/hoel/hoel.SlackBuild
@@ -0,0 +1,100 @@
+#!/bin/sh
+# Slackware build script for hoel
+#
+# Yth | Pont-en-Royans, France | yth@ythogtha.org
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=hoel
+VERSION=${VERSION:-1.4.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+if pkg-config --exists libpq; then
+ PGSQL=on
+else
+ PGSQL=off
+fi
+
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DCMAKE_INSTALL_DOCDIR=doc/$PRGNAM-$VERSION \
+ -DWITH_PGSQL=$PGSQL \
+ -DCMAKE_BUILD_TYPE=Release ..
+ make VERBOSE=1
+ make install DESTDIR=$PKG
+cd ..
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+DOCS="LICENSE README.md"
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/hoel/hoel.info b/libraries/hoel/hoel.info
new file mode 100644
index 0000000000..699f78a189
--- /dev/null
+++ b/libraries/hoel/hoel.info
@@ -0,0 +1,10 @@
+PRGNAM="hoel"
+VERSION="1.4.2"
+HOMEPAGE="https://github.com/babelouest/hoel"
+DOWNLOAD="https://github.com/babelouest/hoel/archive/v1.4.2/hoel-1.4.2.tar.gz"
+MD5SUM="7b3504ab7e2317a4f8094b901fff3069"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="ulfius"
+MAINTAINER="Yth - Arnaud"
+EMAIL="yth@ythogtha.org"
diff --git a/libraries/hoel/slack-desc b/libraries/hoel/slack-desc
new file mode 100644
index 0000000000..46ca74943b
--- /dev/null
+++ b/libraries/hoel/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+hoel: hoel (Database abstraction library written in C)
+hoel:
+hoel: Simple and easy to use database access library. Works with SQLite 3,
+hoel: MariaDB/Mysql and PostgreSQL databases.
+hoel: Uses a JSON-based language with jansson to execute simples queries
+hoel: based on one table.
+hoel:
+hoel:
+hoel:
+hoel:
+hoel: